---
title: "Pick the HubSpot team"
description: "Sets the team (team_id) whose meetings are matched and logged to HubSpot."
canonical_url: https://docs.markdrop.in/api/hubspot/pick-the-hubspot-team
last_updated: 2026-11-20
site: "Markdrop Docs"
index: https://docs.markdrop.in/llms.txt
---

# Pick the HubSpot team

`PUT https://api.markdrop.in/api/v1/hubspot/team`

Sets the team (`team_id`) whose meetings are matched and logged to HubSpot. Not the company-wide team. Admins and owners.

- **Authentication:** API token required: `Authorization: Bearer mdk_…`.
- **Rate limit:** 30 per minute per IP address.
- **Guide:** [HubSpot](https://docs.markdrop.in/integrations/hubspot)

## Request body

`application/json`, required.

- `workspace_id` (string, required): Matches `^[0-9a-f]{24}$`.
- `team_id` (string, required): Matches `^[0-9a-f]{24}$`.

## Responses

- `200`: OK.
- `401`: No token, or the token is revoked or mistyped.
- `422`: The request didn't validate. `detail` lists each problem, with where it is (`loc`) and why (`msg`).
- `429`: Too many requests from your IP address. Wait the seconds in `Retry-After`.

## Examples

**curl**

```bash
curl -X PUT https://api.markdrop.in/api/v1/hubspot/team \
  -H "Authorization: Bearer $MARKDROP_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"workspace_id":"WORKSPACE_ID","team_id":"TEAM_ID"}'
```

**JavaScript**

```javascript
const res = await fetch("https://api.markdrop.in/api/v1/hubspot/team", {
  method: "PUT",
  headers: {
    Authorization: `Bearer ${process.env.MARKDROP_TOKEN}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "workspace_id": "WORKSPACE_ID",
    "team_id": "TEAM_ID"
  }),
});
const data = await res.json();
```

**Python**

```python
import os

import requests

r = requests.put(
    "https://api.markdrop.in/api/v1/hubspot/team",
    headers={"Authorization": f"Bearer {os.environ['MARKDROP_TOKEN']}"},
    json={"workspace_id": "WORKSPACE_ID", "team_id": "TEAM_ID"},
)
r.raise_for_status()
print(r.json())
```
